<ion-content>
  <ion-toolbar>
    <ion-buttons slot="start">
      <ion-menu-button></ion-menu-button>
    </ion-buttons>
    <ion-item>
      <ion-label>{{ 'Home >> Complaints >> Add Complaint' | translate }}</ion-label>
    </ion-item>
  </ion-toolbar>

  <ion-card>
    <ion-card-header>
      <ion-card-title>{{ 'Add Complaint' | translate }}</ion-card-title>
      <ion-card-subtitle>{{ 'Add a new complaint' | translate }}</ion-card-subtitle>
    </ion-card-header>
    <ion-card-content>
      <form [formGroup]="form" (ngSubmit)="addComplaint()" method="post">
        <ion-item>
          <ion-label position="floating">{{ 'Title' | translate }}</ion-label>
          <ion-input formControlName="title" type="text" name="title"></ion-input>
        </ion-item>

        <div style="color: red;" *ngIf="form.get('title').hasError('required') && form.get('title').touched">
          {{ 'This field is required*' | translate }}
        </div>

        <ion-item>
          <ion-label position="floating">{{ 'Description' | translate }}</ion-label>
          <ion-textarea formControlName="description" type="text" name="description"></ion-textarea>
        </ion-item>

        <div style="color: red;"
          *ngIf="form.get('description').hasError('required') && form.get('description').touched">
          {{ 'This field is required*' | translate }}
        </div>

        <ion-item>
          <ion-label position="floating">{{ 'Priority' | translate }}</ion-label>
          <ion-select placeholder="Select One" formControlName="priority" name="priority">
            <ion-select-option value="High">{{ 'High' | translate }}</ion-select-option>
            <ion-select-option value="Medium">{{ 'Medium' | translate }}</ion-select-option>
            <ion-select-option value="Low">{{ 'Low' | translate }}</ion-select-option>
          </ion-select>
        </ion-item>

        <div style="color: red;" *ngIf="form.get('priority').hasError('required') && form.get('priority').touched">
          {{ 'This field is required*' | translate }}
        </div>

        <ion-button type="submit" expand="full" color="primary" [disabled]="!form.valid">
          {{ 'Add Complaint' | translate }}
        </ion-button>
      </form>
    </ion-card-content>
  </ion-card>
</ion-content>